# https://fedoraproject.org/wiki/Packaging:SourceURL
# From GitHub
%global commit ce8e1e540367ea83cc3e01eec7b2a11783b3f9e1

Name:           base16-shell
# https://en.opensuse.org/openSUSE:Package_naming_guidelines#SCM_snapshots
# git rev-list ce8e1e54 | wc -l
Version:        0~git208
Release:        lp152.1.2
Summary:        Base16 Shell
License:        MIT
Group:          Development/Languages/Java
Url:            https://github.com/chriskempson/%{name}
Source:         https://github.com/chriskempson/%{name}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

BuildArch:      noarch


%description
A shell script to change your shell's default ANSI colors but most importantly,
colors 17 to 21 of your shell's 256 colorspace (if supported by your terminal).
This script makes it possible to honor the original bright colors of your shell
(e.g. bright green is still green and so on) while providing additional base16
colors to applications such as Vim.


%prep
%autosetup -n %{name}-%{commit}


%build


%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r ./* %{buildroot}%{_datadir}/%{name}


%files
%{_datadir}/%{name}


%changelog
* Fri Mar  6 2020 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com> - 0~git208
- First packaging, master at commit ce8e1e54 (no git tags)
